struts2自定义拦截器出现404错误

今天在复习struts2的时候程序爆了一个BUG,struts.xml中使用通配符报错,

原因是

由于struts2 2.5版本的安全度提高了一个台阶,通配符禁止使用,
所有不安全的访问都必须要在struts.xml中声明允许。我用的是2.5.16版本的struts,因此出现了这个错误。

解决办法:

在package中添加属性:strict-method-invocation="false"

相关推荐
©️2020 CSDN 皮肤主题: 技术黑板 设计师:CSDN官方博客 返回首页